Subject: MIG

From: Will Hightower <[email-masked]>
Date: 04 Jan 96 01:26:16 EST

John,
   I have had in service for the past 12 years a Miller Spool-o-Matic 2 MIG
welder.  The only problems I have ever had were in the gun proper, two broken
springs and some loose bolts.  The power unit has never had a problem.
   The only change I would make is I would make sure a new unit had a spot
welding ability.  I can make sheet metal tacks but have to hold my mind just
right.

Will Hightower
Ice Anvil Forge
soon to be - [email-masked]